Liferay Digital Experience Platform 7.4 兼容性列表

Liferay Digital Experience Platform 7.4 只在以下被认证的配置环境 中被支持:

应用服务器

  • Apache Tomcat 9.0.x
  • IBM Websphere 9.0
  • Wildfly 18.0
  • Wildfly 23.0
  • Weblogic 14c
  • JBoss EAP 7.3
  • JBoss EAP 7.4

关于和Liferay DXP兼容的应用服务器的配置和限制,详情请参阅Liferay用户指南

数据库

  • Amazon Aurora
  • DB2 11.1
  • B2 11.5
  • MariaDB 10.2
  • MariaDB 10.4
  • MariaDB 10.6
  • MySQL 5.7
  • MySQL 8.0
  • Oracle 19c
  • PostgreSQL 12.x
  • PostgreSQL 13.x
  • PostgreSQL 14.x
  • SQL Server 2017
  • SQL Server 2019

关于和Liferay DXP兼容的数据库的配置和限制,详情请参阅Liferay用户指南.

操作系统

  • Alpine Linux 3.13
  • Amazon Linux 2
  • CentOS 7
  • CentOS 8
  • Debian 10
  • IBM AIX 7.2
  • Oracle Linux 7
  • Oracle Linux 8
  • Oracle Solaris 11
  • Red Hat Enterprise Linux 7
  • Red Hat Enterprise Linux 8
  • SUSE Enterprise Linux 12
  • SUSE Enterprise Linux 15
  • Ubuntu LTS 18.04
  • Ubuntu LTS 20.04
  • Ubuntu LTS 22.04
  • Windows Server 2016
  • Windows Server 2019

 

桌面浏览器

  • Chrome (最新)
  • Edge (最新)
  • Firefox ESR (最新)
  • Firefox (最新)
  • Safari 14

关于和Liferay DXP兼容的桌面浏览器的配置和限制,详情请参阅技术支持策略.

移动浏览器

  • Chrome (最新)
  • Safari (最新)

 

Liferay仅支持在最新版本的移动端浏览器上的信息访问(比如内容读取和页面导航)、菜单导航、和基本 的模块响应。关于Liferay的移动支持策略,详情请参阅帮助中心.

JDK

  • IBM J9 JDK 8
  • Oracle JDK 8
  • Oracle JDK 11 
  • 所有Java Technical Compatibility Kit (TCK) 测试 符合Java11和Java8的编译/span>

JDK认证只针对运行时。创建和编译Liferay DXP项目需要使用JDK8。

云服务

  • Amazon Elastic Compute Cloud (EC2)
  • Amazon Relational Database Service (RDS)
  • Amazon S3 (Object Storage)
  • Azure Files
  • Azure SQL Databases
  • Azure Virtual Machines
  • Google Cloud Compute Engine (GCE)
  • Google Cloud SQL
  • Google Cloud Object Storage
  • Red Hat OpenShift on IBM Cloud
  • IBM Cloud File Storage

Amazon EC2和RDS仅在Liferay DXP 7.4兼容表里罗列的环境中被支持。

搜索引擎

  • Elasticsearch 7
 

更多详细的兼容性信息包括兼容的连接器版本和必要的补丁级别,请参阅搜索引擎兼容表

备注

只要应用服务器,数据库,JDK和操作系统是如兼容表所述被认证使用的,Liferay DXP不限制VM/Container的使 用。订阅客户建负责合理配置VM/Container。

 

Updated 08/04/2022

Download PDF

这篇文章有帮助吗?
0 人中有 0 人觉得有帮助